Create a Container
Create a new container within a storage service
POST
POST /v1/containers
Create a Container
Create a new container within a storage service.Body Parameters
Name of the container. Must be unique within the parent storage service or parent container.
List of file formats stored in the container, for example
csv, tsv, parquet, avro, json, jsonl, jsonGz, jsonZip.POST /v1/containers
Returns
Returns the created container object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/containers instead of POST to perform an upsert. If a container with the same fullyQualifiedName already exists, it will be updated; otherwise, a new container is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/containers/bulk to create or update multiple containers in a single request. The request body is an array of create request objects.